//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: recibos_abonados_r.js
// Created: 2016-11-01
// Updates: 2016-11-01,2022-11-16
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//
window.onload = function(){
	loadToday();
	getUser();
	getCajeros();
	getEmisores();
	getDepartamento();
};
//-------------------------------------------------------//
// LEVEL 1
function loadToday(){
	FechaHoy = GetToday();
	document.form.dt_desde.value=FechaHoy;
	document.form.dt_hasta.value=FechaHoy;
}
function getUser(){
	var r = new XMLHttpRequest();
    var URL     = "../pl/get_user.pl";
	r.open("GET",URL, true);
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
		if (r.responseText!=="false" && r.responseText!==""){
			var datos=r.responseText.split("|");
			usuario = datos[2];
		}
	};
	r.send();
}
function getCajeros(){
	var r = new XMLHttpRequest();
    var URL     = "../pl/get_cajeros.pl";
	r.open("GET",URL, true);
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
		if (r.responseText!=="false" && r.responseText!==""){
			var Cajeros   = r.responseText.split('~');
			var selec 	  = document.getElementById("i8_cajero_id"); 
			for(var i=0;i<Cajeros.length-1;i++){
				var elementos  		= Cajeros[i].split('|');
				var newOption 		= document.createElement("option");
				newOption.value		= elementos[0];			
				if (typeof newOption.textContent === 'undefined'){
					newOption.innerText = elementos[1];
				}else{
					newOption.textContent = elementos[1];
				}
				selec.appendChild(newOption);
			}
		}
	};
	r.send();
}
function getEmisores(){
	var r = new XMLHttpRequest();
    var URL     = "../pl/get_emisores.pl";
	r.open("GET",URL, true);
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
		if (r.responseText!=="false" && r.responseText!==""){
			var Emisores   = r.responseText.split('~');
			var selec 	  = document.getElementById("i8_emisor_id");
			for(var i=0;i<Emisores.length-1;i++){
				var elementos  		= Emisores[i].split('|');
				var newOption 		= document.createElement("option");
				newOption.value		= elementos[0];			
				if (typeof newOption.textContent === 'undefined'){
					newOption.innerText = elementos[1];
				}else{
					newOption.textContent = elementos[1];
				}			
				selec.appendChild(newOption);
			}
		}
	};
	r.send();
}
function getDepartamento(){
	var r = new XMLHttpRequest();
    var URL     = "../pl/get_user_department.pl";
	r.open("GET",URL, true);
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
		if (r.responseText!=="false" && r.responseText!==""){
			var elementos  = r.responseText.split('|');		
			if(elementos[0]!='5'){
				if (usuario!='admin') {
					document.form.i2_tipo_departamento_id.value=elementos[0];
				}else{
					document.form.i2_tipo_departamento_id.value=0;
				}
			} 
		}
	};
	r.send();
}
function ShowCalendar(form,datetype,separator){
        var openwindow;
	if (!openwindow || openwindow.closed){
		win ="window.open('../libraries/html/clnd.html?pbf="+form+"&datetype="+datetype+"&separator="+separator+"','Calendar','left=200,top=200,width=250,height=250,scrollbars=no,toolbar=no,menu=no')";
		openwindow=eval(win);
	}else{openwindow.focus()}
}
function Generar(){
    var openwindow;
	var desde = document.form.dt_desde.value;
	var hasta = document.form.dt_hasta.value;
	var hasta = document.form.dt_hasta.value;
	var hasta = document.form.dt_hasta.value;
	var caja  = document.form.i2_cajero_id.value;
	var cajero= document.form.i8_cajero_id.value;
	var emisor= document.form.i8_emisor_id.value;
	var depto = document.form.i2_tipo_departamento_id.value;	
	if(desde==""){alert("Favor Ingresar la Fecha Desde");return}	
	if(hasta==""){alert("Favor Ingresar la Fecha Hasta");return}
	if (!openwindow || openwindow.closed){
		win ="window.open('../pl/recibos_abonados_p.pl?dt_desde="+desde+"&dt_hasta="+hasta+"&i2_cajero_id="+caja+"&i8_cajero_id="+cajero+"&i8_emisor_id="+emisor+"&i2_tipo_departamento_id="+depto+"','GenerarPartidaContable','left=100,top=20,width=675,height=550,scrollbars=yes,toolbar=no,menubar=yes,resizable=yes')";
		openwindow=eval(win);
	}else{openwindow.focus()}
	//close();
}
//-------------------------------------------------------//
// AUXILIAR
function GetToday(){
    var today 		= new Date();
    var monthday        = today.getDate();
    var month 		= today.getMonth()+1;
    var year 		= today.getFullYear();
    if(monthday<10){montday="0"+monthday}
    if(month<10){month="0"+month}
    var fetc = year+"-"+month+"-"+monthday;
    return fetc;
}